### Method

# RB TransferTarget track_add_error

#### Declaration [src]

    void
    rb_transfer_target_track_add_error (
      RBTransferTarget* target,
      RhythmDBEntry* entry,
      const char* uri,
      GError* error
    )

#### Description [src]

This is called when a transfer fails. If the source’s impl_track_add_error implementation returns `TRUE`, an error dialog will be displayed to the user containing the error message, unless the error indicates that the destination file already exists.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  The source `RhythmDBEntry` for the transfer.

  The data is owned by the caller of the method.

`uri`

  Type: `const char*`

  The destination URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError`

  The transfer error information.

  The data is owned by the caller of the method.